
typedef struct ATOM {
  int atom_type;
  double x,y,z;
  // covalent radius
  double covR0;
  // Dreiding force field parameters
  // bond
  double valR0;
  // angle
  double Te;    // equilibrium angle
  double cosTe; // cosine of equilibrium angle
  double Ce;    // force constant for angle bend
  int linear;  // 1 if angle = 180 deg
  // torsion
  double torsion_barrier;
  double torsion_periodicity;
  double torsion_phi0;
  // van der Waals
  double vdWR0;
  double vdWD0;
  // gradient on atom
  double grad[3];
} ATOM;

typedef struct
REPLICA_ATOM {
  int index; // index into the
  int central; // 1: atom lies in central unit cell, 0: atom lies in one of the neighbouring cells
  double tx,ty,tz; // translation vector
} REPLICA_ATOM;

typedef struct CRYSTAL {
  // components of lattice vectors
  double ax,ay,az; 
  double bx,by,bz;
  double cx,cy,cz;
} CRYSTAL;

